Update an entity

Updates an existing entity's details

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

entityIdstringRequired
ID of the entity to update

Request

This endpoint expects an object.
externalIdstringOptional
External identifier for the entity
legalNamestringOptional
Legal name of the entity
tinstringOptional
Tax Identification Number
usStatestringOptional
US state code
entityTypestringOptional
Type of entity
phoneNumberstringOptional
Contact phone number
statusstringOptional
Current status of the entity

Response

Entity updated successfully
idstring
Unique identifier of the updated entity
externalIdstring
External identifier for the entity
legalNamestring
Updated legal name
tinstring
Updated Tax Identification Number
usStatestring
Updated US state code
entityTypestring
Updated entity type
phoneNumberstring
Updated phone number
statusstring
Updated status
updatedAtstringformat: "date-time"
When the entity was last updated

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error